import request from '@/utils/request'

// 查询报价单-核价单列表
export function listPriceVerification(query) {
  return request({
    url: '/priceVerification/priceVerification/list',
    method: 'get',
    params: query
  })
}

// 查询报价单-核价单详细
export function getPriceVerification(quotHjId) {
  return request({
    url: '/priceVerification/priceVerification/' + quotHjId,
    method: 'get'
  })
}

// 新增报价单-核价单
export function addPriceVerification(data) {
  return request({
    url: '/priceVerification/priceVerification',
    method: 'post',
    data: data
  })
}

// 修改报价单-核价单
export function updatePriceVerification(data) {
  return request({
    url: '/priceVerification/priceVerification',
    method: 'put',
    data: data
  })
}

// 删除报价单-核价单
export function delPriceVerification(quotHjId) {
  return request({
    url: '/priceVerification/priceVerification/' + quotHjId,
    method: 'delete'
  })
}

//提交报价单-核价单 至报价组
export function commitHj(data) {
  return request({
    url: '/priceVerification/priceVerification/commitHj',
    method: 'post',
    data: data
  })
}

//驳回报价单-核价单
export function rejectHj(data) {
  return request({
    url: '/priceVerification/priceVerification/rejectHj',
    method: 'post',
    data: data
  })
}
rejectHj
