package com.ruoyi.priceVerification.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 报价单-核价单对象 quot_hj
 *
 * @author ruoyi
 * @date 2024-04-16
 */
public class QuotHj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 核价单Id */
    private String quotHjId;

    /** 核价单号 */
    @Excel(name = "核价单号")
    private String quotHjCode;

    /** 核价类型 */
    @Excel(name = "核价类型")
    private String quotHjPricingType;

    /** 核价日期 */
    @Excel(name = "核价日期",dateFormat = "yyyy-MM-dd hh:MM:ss")
    private Date quotHjPricingDate;

    /** 备注 */
    @Excel(name = "备注")
    private String quotHjRemark;

    /** 备注 */
    @Excel(name = "核价协助状态")
    private String quotHjApprovalStatus;

    /** 创建人 */
    private String createName;


    /** 报价单信息 */
    private String quotCode;//报价单号
    private String quotSalesmanName;//业务员
    private String quotCustomerName;//客户
    private String quotProject;//项目

    public void setQuotHjId(String quotHjId)
    {
        this.quotHjId = quotHjId;
    }

    public String getQuotHjId()
    {
        return quotHjId;
    }
    public void setQuotHjCode(String quotHjCode)
    {
        this.quotHjCode = quotHjCode;
    }

    public String getQuotHjCode()
    {
        return quotHjCode;
    }
    public void setQuotHjPricingType(String quotHjPricingType)
    {
        this.quotHjPricingType = quotHjPricingType;
    }

    public String getQuotHjPricingType()
    {
        return quotHjPricingType;
    }
    public void setQuotHjPricingDate(Date quotHjPricingDate) { this.quotHjPricingDate = quotHjPricingDate; }

    public Date getQuotHjPricingDate()
    {
        return quotHjPricingDate;
    }
    public void setQuotHjRemark(String quotHjRemark)
    {
        this.quotHjRemark = quotHjRemark;
    }

    public String getQuotHjRemark()
    {
        return quotHjRemark;
    }
    public String getQuotHjApprovalStatus() { return quotHjApprovalStatus; }

    public void setQuotHjApprovalStatus(String quotHjApprovalStatus) { this.quotHjApprovalStatus = quotHjApprovalStatus; }
    public String getCreateName() { return createName; }

    public void setCreateName(String createName) { this.createName = createName; }

    /** 报价单信息 */
    public String getQuotCode() { return quotCode; }
    public void setQuotCode(String quotCode) { this.quotCode = quotCode; }

    public String getQuotSalesmanName() { return quotSalesmanName; }
    public void setQuotSalesmanName(String quotSalesmanName) { this.quotSalesmanName = quotSalesmanName; }

    public String getQuotCustomerName() { return quotCustomerName; }
    public void setQuotCustomerName(String quotCustomerName) { this.quotCustomerName = quotCustomerName; }

    public String getQuotProject() { return quotProject; }
    public void setQuotProject(String quotProject) { this.quotProject = quotProject; }
}
